## strongswan 4.4.0

=== debian/changelog ===
strongswan (4.4.0-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.(LP: #603909) Remaining changes:
    - Build depend on libnm-glib-dev instead of libnm-glib-vpn-dev to
      match the network manager package naming in Ubuntu

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 10 Jul 2010 13:57:17 +0530

strongswan (4.4.0-2) unstable; urgency=low

  * Force enable-socket-raw configure option and enable list-missing option 
    for dh_install to make sure that all required plugins get built and 
    installed.
    Closes: #587282: plugins missing
  * Updated fr debconf translations.
    Closes: #587052: strongswan: [INTL:fr] French debconf templates 
            translation update
    Closes: #587159: strongswan: [INTL:ru] Russian debconf templates 
            translation update
    Closes: #587255: strongswan: [INTL:pt] Updated Portuguese 
            translation for debconf messages
    Closes: #587241: [INTL:sv] po-debconf file for strongswan
  * Disabled cisco-quirks configure option, as it causes pluto to emit a 
    bogus Cicso vendor ID attribute. Some Cicso VPN clients might not work
    without this, but it is less confusing for standards-compliant remote
    gateways.
  * Removed leftover attribute plugin source caused by incomplete svn-upgrade
    call.

 -- Rene Mayrhofer <rmayr@debian.org>  Thu, 24 Jun 2010 22:32:18 +0200

strongswan (4.4.0-1) unstable; urgency=HIGH

  * New upstream release, now with a high-availability plugin.
  * Added patch to fix snprintf bug.
  * Enable building of ha, dhcp, and farp plugins.
  * Enable capability dropping (now depends on libcap). Switching
    user to new system user strongswan (with nogroup) after startup
    is still disabled until the iptables updown script can be made
    to work.

 -- Rene Mayrhofer <rmayr@debian.org>  Tue, 25 May 2010 21:03:52 +0200

strongswan (4.3.6-1) unstable; urgency=low

  * UNRELEASED

  * New upstream release, now build-depends on gperf.
    Closes: #577855: New upstream release 4.3.6
    Closes: #569553: strongswan: Certificates CNs containing email address 
                     OIDs are not correctly parsed
    Closes: #557635: strongswan charon does not rekey forever
    Closes: #569299: Please update configure check to use new nm-glib 
                     pkgconfig file name
  * Switch to dpkg-source 3.0 (quilt) format
  * Synchronize debconf handling with current openswan 2.6.25 package to keep
    X509 certificate handling etc. similar. Thanks to Harald Jenny for 
    implementing these changes in openswan, which I just converted to 
    strongswan.
  * Now also build a strongswan-dbg package to ship debugging symbols.
  * Include attr plugin in strongswan-ikev2 package. Thanks to Christoph Lukas
    for pointing out that this was missing.
    Closes: #569550: strongswan: Please include attr plugin

 -- Rene Mayrhofer <rmayr@debian.org>  Tue, 23 Feb 2010 10:39:21 +0000

strongswan (4.3.4-1) unstable; urgency=low

  * New upstream release.
  * This release supports integrity checking of libraries, which is
    now enabled at build-time and can be enabled at run-time using 
        libstrongswan {
          integrity_test = yes
        }
    in /etc/strongswan.conf.
  * Don't disable internal crypto libraries for pluto. They might be
    required when working with older ipsec.conf files.
  * charon now supports "include" directives in ipsec.secrets for
    compatibility with how the maintainer script includes RSA private keys.
  * Patched starter to also look at routing table "default" when table
    "main" doesn't have a default entry. This makes dealing with
    "%defaulroute" in ipsec.conf more flexible.
    Update: It seems Astaro was quicker then me sending a patch with
    exactly that aim to upstream. Now applied this one, which will be
    part of future upstream releases and uses netlink to read routing
    tables.

 -- Rene Mayrhofer <rmayr@debian.org>  Wed, 21 Oct 2009 11:14:56 +0000

strongswan (4.3.2-1.3ubuntu1) maverick; urgency=low

  * Merge from debian testing (LP: #597711). Remaining changes:
    - Build depend on libnm-glib-dev instead of libnm-glib-vpn-dev to
      match the network manager package naming in Ubuntu

 -- Angel Abad <angelabad@gmail.com>  Sat, 20 Feb 2010 06:22:18 +0000

strongswan (4.3.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - German. Closes: #567823

 -- Christian Perrier <bubulle@debian.org>  Tue, 09 Feb 2010 21:52:22 +0100

strongswan (4.3.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Basque (Piarres Beobide).  Closes: #539904
    - German (Hermann J. Beckers).  Closes: #542822
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #546324
    - Italian (Vincenzo Campanella).  Closes: #566157

 -- Christian Perrier <bubulle@debian.org>  Tue, 26 Jan 2010 22:12:07 +0100

strongswan (4.3.2-1.1ubuntu1) lucid; urgency=low

  * Merge from Debian testing (LP: #492396), remaining changes:
    - Build depend on libnm-glib-dev instead of libnm-glib-vpn-dev to 
      match the network manager package naming in Ubuntu

 -- Ilya Barygin <barygin@gmail.com>  Fri, 04 Dec 2009 20:59:13 +0300

strongswan (4.3.2-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix incomplete fix for CVE-2009-2185 leading to a denial of service
    via malformed ASN.1 data (CVE-2009-2661; Closes: #540144).
  * Use dh_prep instead of dh_clean in install target
    + Fixes bug where the arch: all package is not included in .changes

 -- Raphael Geissert <geissert@debian.org>  Tue, 08 Sep 2009 18:37:35 -0500

strongswan (4.3.2-1ubuntu3) karmic; urgency=low

  * No change rebuild against libnm-glib
    Fixes libnm-glib API change (LP: #459073)

 -- Martin Willi <martin@strongswan.org>  Fri, 23 Oct 2009 15:02:23 +0200

strongswan (4.3.2-1ubuntu2) karmic; urgency=low

  * No change rebuild against libnm-glib. 


