=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: strongswan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rene Mayrhofer <rmayr@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Rene Mayrhofer <rmayr@debian.org>
+Standards-Version: 3.9.1
 Vcs-Browser: http://wiki.strongswan.org/repositories/show/strongswan
 Vcs-Git: http://wiki.strongswan.org/repositories/show/strongswan
 Build-Depends: debhelper (>= 7.1), libtool, libgmp3-dev, 
@@ -12,13 +11,13 @@
                libpam0g-dev, libkrb5-dev, bison, flex, bzip2, po-debconf,
                hardening-wrapper, network-manager-dev, libfcgi-dev, clearsilver-dev,
                libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7),
-               libnm-glib-dev (>= 0.7), libnm-util-dev (>= 0.7),
+               libnm-glib-vpn-dev (>= 0.7), libnm-util-dev (>= 0.7),
 	       gperf, libcap-dev
 Homepage: http://www.strongswan.org
 
 Package: strongswan
 Architecture: all
-Depends: strongswan-ikev1, strongswan-ikev2
+Depends: ${misc:Depends}, strongswan-ikev1, strongswan-ikev2
 Suggests: network-manager-strongswan
 Description: IPsec VPN solution metapackage
  The strongSwan VPN suite is based on the IPsec stack in standard Linux 2.6
@@ -35,7 +34,7 @@
 Package: libstrongswan
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
-Conflicts: strongswan (< 4.2.12-1)
+Conflicts: strongswan (<< 4.2.12-1)
 Description: strongSwan utility and crypto library
  StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
  native IPsec stack and runs on any recent 2.6 kernel (no patching required).
@@ -49,7 +48,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, strongswan
+Depends: ${misc:Depends}, strongswan, libstrongswan
 Description: strongSwan library and binaries - debugging symbols
  StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
  native IPsec stack and runs on any recent 2.6 kernel (no patching required).
@@ -60,7 +59,7 @@
 Package: strongswan-starter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstrongswan, strongswan-ikev1 | strongswan-ikev2
-Conflicts: strongswan (< 4.2.12-1)
+Conflicts: strongswan (<< 4.2.12-1)
 Description: strongSwan daemon starter and configuration file parser
  StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
  native IPsec stack and runs on any recent 2.6 kernel (no patching required).
@@ -77,7 +76,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, strongswan-starter, bsdmainutils, debianutils (>=1.7), ipsec-tools, host, iproute
 Suggests: curl
 Provides: ike-server
-Conflicts: freeswan (<< 2.04-12), openswan, strongswan (< 4.2.12-1)
+Conflicts: freeswan (<< 2.04-12), openswan, strongswan (<< 4.2.12-1)
 Replaces: openswan
 Description: strongSwan Internet Key Exchange (v1) daemon
  StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
@@ -95,7 +94,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstrongswan, strongswan-starter | strongswan-nm, bsdmainutils, debianutils (>=1.7), ipsec-tools, host, iproute
 Suggests: curl
 Provides: ike-server
-Conflicts: freeswan (<< 2.04-12), openswan, strongswan (< 4.2.12-1)
+Conflicts: freeswan (<< 2.04-12), openswan, strongswan (<< 4.2.12-1)
 Description: strongSwan Internet Key Exchange (v2) daemon
  StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
  native IPsec stack and runs on any recent 2.6 kernel (no patching required).
@@ -109,7 +108,7 @@
 
 Package: strongswan-nm
 Architecture: any
-Depends: ${shlibs:Depends}, strongswan-ikev2
+Depends: ${shlibs:Depends}, ${misc:Depends}, strongswan-ikev2
 Recommends: network-manager-strongswan
 Description: strongSwan plugin to interact with NetworkManager
  StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
