=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 CONFIGUREARGS := --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
 		--libexecdir=/usr/lib \
-		--enable-socket-raw --enable-socket-dynamic \
 		--enable-ldap --enable-curl \
 		--with-capabilities=libcap \
 		--enable-smartcard \
@@ -22,7 +21,8 @@
 		--enable-eap-radius --enable-eap-identity --enable-eap-md5 \
 		--enable-eap-gtc --enable-eap-aka --enable-eap-mschapv2 \
 		--enable-sql --enable-integrity-test \
-		--enable-nm --enable-ha --enable-dhcp --enable-farp
+		--enable-nm --enable-ha --enable-dhcp --enable-farp \
+		--enable-test-vectors
 	#	--with-user=strongswan --with-group=nogroup \
 	#	--enable-kernel-pfkey --enable-kernel-klips \
 	# Could enable --enable-nat-transport, but this is actually insecure,
@@ -57,7 +57,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	#-$(MAKE) -C programs/fswcert/ clean
 	# after a make clean, no binaries _should_ be left, but ....
 	-find $(CURDIR) -name "*.o" | xargs --no-run-if-empty rm
@@ -78,7 +78,6 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
@@ -108,6 +107,10 @@
 	# this is handled by update-rc.d
 	rm -rf $(CURDIR)/debian/strongswan-starter/etc/rc?.d
 
+	# delete var/lock/subsys and var/run to satisfy lintian
+	rm -rf $(CURDIR)/debian/openswan/var/lock
+	rm -rf $(CURDIR)/debian/openswan/var/run
+
 	dh_installdocs -pstrongswan -n
 	# change the paths in the installed doc files (but only in regular 
 	# files, not in links to the outside of the build tree !)
@@ -132,9 +135,6 @@
 	find $(CURDIR)/debian/*strongswan*/ -name ".cvsignore" | xargs --no-run-if-empty rm -f
 	find $(CURDIR)/debian/*strongswan*/ -name "/.svn/" | xargs --no-run-if-empty rm -rf
 
-	# and lintian overrides
-	install --mode=0644 $(CURDIR)/debian/strongswan.lintian-overrides $(CURDIR)/debian/libstrongswan/usr/share/lintian/overrides/strongswan
-
 binary-common:
 	dh_testdir
 	dh_testroot
@@ -147,6 +147,7 @@
 	dh_strip --dbg-package=strongswan-dbg
 	dh_compress
 	dh_fixperms -X etc/ipsec.secrets -X etc/ipsec.d
+	dh_lintian
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
