## strongswan 4.5.0

=== debian/changelog ===
strongswan (4.5.0-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #664371). Remaining changes:
    - Build depend on libnm-glib-dev instead of libnm-glib-vpn-dev to
      match the network manager package naming in Ubuntu.

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 05 Jan 2011 16:37:10 +0100

strongswan (4.5.0-1) unstable; urgency=low

  * New upstream version 4.5.0
  * Enabled new configure options for additional libstrongswan plugins:
    --enable-ctr --enable-ccm --enable-gcm --enable-addrblock --enable-led
    --enable-pkcs11 --enable-eap-tls --enable-eap-ttls --enable-eap-tnc
  * Enable NAT-Traversal with transport mode support so that strongswan
    can be used for an L2TP/IPsec gateway (e.g. for Windows or mobile phone
    clients). Although this mode is not completely secure against faking
    identities, it is becoming more and more commmon for mobile clients to
    connect via a NAT.
  * Special handling for strongswan-nm package during build time: only build
    and install if headers are really available. This supports easier 
    backporting by simply ignoring build-deps and therefore to build all
    packages except the strongswan-nm without any changes to the source 
    package.
  * Install test-vectors and revocation plugins for libstrongswan.
    Closes: #600996: strongswan-starter: plugin 'revocation' failed to load
  * Acknowledge translations NMU.
    Closes: #598925: Intent to NMU or help for an l10n upload of strongswan 
                     to fix pending po-debconf l10n bugs
    Closes: #598925 #599888 #600354 #600409 #602449 #603723 #603779
  * Update Brazilian Portugese debconf translation.
    Closes: #607404: strongswan: [INTL:pt_BR] Brazilian Portuguese debconf 
		     templates translation

 -- Rene Mayrhofer <rmayr@debian.org>  Sun, 28 Nov 2010 13:09:42 +0100

strongswan (4.4.1-5.1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Build depend on libnm-glib-dev instead of libnm-glib-vpn-dev to
      match the network manager package naming in Ubuntu.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sat, 20 Nov 2010 13:03:03 +0300

strongswan (4.4.1-5ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change
    - Build depend on libnm-glib-dev instead of libnm-glib-vpn-dev to
      match the network manager package naming in Ubuntu

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 18 Oct 2010 10:19:52 +0530
