=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: strongswan
 Section: net
 Priority: optional
-Maintainer: Rene Mayrhofer <rmayr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rene Mayrhofer <rmayr@debian.org>
 Standards-Version: 3.9.1
 Vcs-Browser: http://wiki.strongswan.org/repositories/show/strongswan
 Vcs-Git: http://wiki.strongswan.org/repositories/show/strongswan
@@ -11,7 +12,7 @@
                libpam0g-dev, libkrb5-dev, bison, flex, bzip2, po-debconf,
                hardening-wrapper, network-manager-dev, libfcgi-dev, clearsilver-dev,
                libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7),
-               libnm-glib-vpn-dev (>= 0.7), libnm-util-dev (>= 0.7),
+               libnm-glib-dev (>= 0.7), libnm-util-dev (>= 0.7),
 	       gperf, libcap-dev
 Homepage: http://www.strongswan.org
