=== debian/rules ===
--- 
+++ 
@@ -14,21 +14,25 @@
 		--libexecdir=/usr/lib \
 		--enable-ldap --enable-curl \
 		--with-capabilities=libcap \
-		--enable-smartcard \
+		--enable-smartcard --enable-pkcs11 \
 		--with-default-pkcs11=/usr/lib/opensc-pkcs11.so \
 		--enable-mediation --enable-medsrv --enable-medcli \
 		--enable-openssl --enable-agent \
+		--enable-ctr --enable-ccm --enable-gcm --enable-addrblock \
 		--enable-eap-radius --enable-eap-identity --enable-eap-md5 \
 		--enable-eap-gtc --enable-eap-aka --enable-eap-mschapv2 \
+		--enable-eap-tls --enable-eap-ttls --enable-eap-tnc \
 		--enable-sql --enable-integrity-test \
-		--enable-nm --enable-ha --enable-dhcp --enable-farp \
-		--enable-test-vectors
+		--enable-ha --enable-dhcp --enable-farp \
+		--enable-led \
+		--enable-test-vectors --enable-nat-transport
 	#	--with-user=strongswan --with-group=nogroup \
 	#	--enable-kernel-pfkey --enable-kernel-klips \
-	# Could enable --enable-nat-transport, but this is actually insecure,
-	# so don't!
 	# And for --enable-eap-sim we would need the library, which we don't
 	# have right now.
+	# Don't --enable-cisco-quirks, because some other IPsec implementations
+	# (most notably the Phion one) have problems connecting when pluto 
+	# sends these Cisco options.
 
 DEB_BUILD_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
@@ -43,6 +47,14 @@
 # but it actually doesn't do much, so maybe we don't need it
 ifeq ($(DEB_BUILD_ARCH_CPU),i386)
   CONFIGUREARGS += --enable-padlock
+endif
+
+# And only enable network-manager building if the libraries are present
+# (they will be when the build-deps are fulfilled, but this makes it easier
+# to do backports where the network-manager libs can not be installed, and 
+# thus to just ignore build-deps).
+ifeq ($(shell test -d /usr/include/libnm-glib/ && echo yes),yes)
+  CONFIGUREARS += --enable-nm
 endif
 
 build: build-stamp
@@ -87,6 +99,8 @@
 ifeq ($(DEB_BUILD_ARCH_CPU),i386)
 	  install $(CURDIR)/debian/tmp/usr/lib/ipsec/plugins/libstrongswan-padlock.so* $(CURDIR)/debian/libstrongswan/usr/lib/ipsec/plugins/
 endif
+	# and special handling for network-manager files - only install when build
+	install -d $(CURDIR)/debian/tmp/usr/lib/ipsec/plugins/libstrongswan-nm.so* $(CURDIR)/debian/strongswan-nm/usr/lib/ipsec/plugins/
 
 	# and additional files not covered by upstream makefile...
 	install --mode=0600 $(CURDIR)/debian/ipsec.secrets.proto $(CURDIR)/debian/strongswan-starter/etc/ipsec.secrets
